Subject: Re: segfault in completion for configure
From: Bart Schaefer <[email-masked]>
To: Daniel Shahaf <[email-masked]>
Cc: Peter Stephenson <[email-masked]>, Zsh hackers list <[email-masked]>
Date: Thu, 17 Mar 2016 14:49:41 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Thu, Mar 17, 2016 at 1:09 PM, Daniel Shahaf <[email-masked]> wrote:
> Peter Stephenson wrote on Thu, Mar 17, 2016 at 18:24:06 +0000:
>> Or is that if we know we've been int he signal handler at that point
>> we already know the place where we needed to queue signals...
>
> We could convert the pattern matching globals to macros that execute
> code whenever the globals are accessed:

There are a number of globals, and the symptoms are such that I don't
think the problem is limited to the ones that are commented as being
used by both compilation and matching.  It acts as though one of the
data structures or pointers has been moved and not restored.